<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::gui_core_kernel_2_globals::event_handler_thread Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>gui_core_kernel_2_globals</b></li><li class="navelem"><a class="el" href="classdlib_1_1gui__core__kernel__2__globals_1_1event__handler__thread.html">event_handler_thread</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classdlib_1_1gui__core__kernel__2__globals_1_1event__handler__thread-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::gui_core_kernel_2_globals::event_handler_thread Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::gui_core_kernel_2_globals::event_handler_thread:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1gui__core__kernel__2__globals_1_1event__handler__thread.png" usemap="#dlib::gui_5Fcore_5Fkernel_5F2_5Fglobals::event_5Fhandler_5Fthread_map" alt=""/>
  <map id="dlib::gui_5Fcore_5Fkernel_5F2_5Fglobals::event_5Fhandler_5Fthread_map" name="dlib::gui_5Fcore_5Fkernel_5F2_5Fglobals::event_5Fhandler_5Fthread_map">
<area href="classdlib_1_1threaded__object.html" alt="dlib::threaded_object" shape="rect" coords="0,0,321,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a689e63df8f6f6af382082318ecc71007"><td class="memItemLeft" align="right" valign="top"><a id="a689e63df8f6f6af382082318ecc71007"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>et_state</b> { <b>uninitialized</b>, 
<b>initialized</b>, 
<b>failure_to_init</b>
 }</td></tr>
<tr class="separator:a689e63df8f6f6af382082318ecc71007"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9c73a272f6eb795ba83ecb01726287d2"><td class="memItemLeft" align="right" valign="top"><a id="a9c73a272f6eb795ba83ecb01726287d2"></a>
et_state&#160;</td><td class="memItemRight" valign="bottom"><b>status</b></td></tr>
<tr class="separator:a9c73a272f6eb795ba83ecb01726287d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50f5d9257d5520b117320e1c831a46fe"><td class="memItemLeft" align="right" valign="top"><a id="a50f5d9257d5520b117320e1c831a46fe"></a>
<a class="el" href="classdlib_1_1logger.html">logger</a>&#160;</td><td class="memItemRight" valign="bottom"><b>dlog</b></td></tr>
<tr class="separator:a50f5d9257d5520b117320e1c831a46fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50885ff937f3b1cf47a2d2330faf6f67"><td class="memItemLeft" align="right" valign="top"><a id="a50885ff937f3b1cf47a2d2330faf6f67"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>depth</b></td></tr>
<tr class="separator:a50885ff937f3b1cf47a2d2330faf6f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a476adc4e94c7e492fa294ba590030489"><td class="memItemLeft" align="right" valign="top"><a id="a476adc4e94c7e492fa294ba590030489"></a>
Display *&#160;</td><td class="memItemRight" valign="bottom"><b>disp</b></td></tr>
<tr class="separator:a476adc4e94c7e492fa294ba590030489"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a856e64eaeca817a2174f57319e693468"><td class="memItemLeft" align="right" valign="top"><a id="a856e64eaeca817a2174f57319e693468"></a>
XIM&#160;</td><td class="memItemRight" valign="bottom"><b>xim</b></td></tr>
<tr class="separator:a856e64eaeca817a2174f57319e693468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacdd74df48e511b0d1167ce3a0483aa3"><td class="memItemLeft" align="right" valign="top"><a id="aacdd74df48e511b0d1167ce3a0483aa3"></a>
XIMStyle&#160;</td><td class="memItemRight" valign="bottom"><b>xim_style</b></td></tr>
<tr class="separator:aacdd74df48e511b0d1167ce3a0483aa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab58f7f62a44216d493758b27f9268e32"><td class="memItemLeft" align="right" valign="top"><a id="ab58f7f62a44216d493758b27f9268e32"></a>
Screen *&#160;</td><td class="memItemRight" valign="bottom"><b>screen</b></td></tr>
<tr class="separator:ab58f7f62a44216d493758b27f9268e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97b04a546ed5909541fc78f89dc0cc50"><td class="memItemLeft" align="right" valign="top"><a id="a97b04a546ed5909541fc78f89dc0cc50"></a>
Atom&#160;</td><td class="memItemRight" valign="bottom"><b>delete_window</b></td></tr>
<tr class="separator:a97b04a546ed5909541fc78f89dc0cc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a954364f12743a494dfe8aa756a81fd8a"><td class="memItemLeft" align="right" valign="top"><a id="a954364f12743a494dfe8aa756a81fd8a"></a>
Window&#160;</td><td class="memItemRight" valign="bottom"><b>exit_window</b></td></tr>
<tr class="separator:a954364f12743a494dfe8aa756a81fd8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394fd913edd0a6cd768844e9acf31df0"><td class="memItemLeft" align="right" valign="top"><a id="a394fd913edd0a6cd768844e9acf31df0"></a>
std::wstring&#160;</td><td class="memItemRight" valign="bottom"><b>clipboard</b></td></tr>
<tr class="separator:a394fd913edd0a6cd768844e9acf31df0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af10e05129520f7d34e1e56bed86a5995"><td class="memItemLeft" align="right" valign="top"><a id="af10e05129520f7d34e1e56bed86a5995"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>alt_mask</b></td></tr>
<tr class="separator:af10e05129520f7d34e1e56bed86a5995"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80736049c4c747b4742c5f95de2807d"><td class="memItemLeft" align="right" valign="top"><a id="ad80736049c4c747b4742c5f95de2807d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>meta_mask</b></td></tr>
<tr class="separator:ad80736049c4c747b4742c5f95de2807d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5acd499d7bb73b1c7171e7bee25f687"><td class="memItemLeft" align="right" valign="top"><a id="af5acd499d7bb73b1c7171e7bee25f687"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>num_lock_mask</b></td></tr>
<tr class="separator:af5acd499d7bb73b1c7171e7bee25f687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f55134edd8c7330e75a428f52ea83f3"><td class="memItemLeft" align="right" valign="top"><a id="a4f55134edd8c7330e75a428f52ea83f3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>scroll_lock_mask</b></td></tr>
<tr class="separator:a4f55134edd8c7330e75a428f52ea83f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0611c1a64e09251d07193c74c10a803d"><td class="memItemLeft" align="right" valign="top"><a id="a0611c1a64e09251d07193c74c10a803d"></a>
window_table_type&#160;</td><td class="memItemRight" valign="bottom"><b>window_table</b></td></tr>
<tr class="separator:a0611c1a64e09251d07193c74c10a803d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b344dd5ac3ab4a466be0eea505b0210"><td class="memItemLeft" align="right" valign="top"><a id="a3b344dd5ac3ab4a466be0eea505b0210"></a>
<a class="el" href="classdlib_1_1rsignaler.html">rsignaler</a>&#160;</td><td class="memItemRight" valign="bottom"><b>window_close_signaler</b></td></tr>
<tr class="separator:a3b344dd5ac3ab4a466be0eea505b0210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae45fdc702be9ed42f8a58c875b928d5b"><td class="memItemLeft" align="right" valign="top"><a id="ae45fdc702be9ed42f8a58c875b928d5b"></a>
<a class="el" href="classdlib_1_1rsignaler.html">rsignaler</a>&#160;</td><td class="memItemRight" valign="bottom"><b>et_signaler</b></td></tr>
<tr class="separator:ae45fdc702be9ed42f8a58c875b928d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4ae98aabf1e9026b5cd4bbebc6ff845"><td class="memItemLeft" align="right" valign="top"><a id="ab4ae98aabf1e9026b5cd4bbebc6ff845"></a>
queue_of_user_events&#160;</td><td class="memItemRight" valign="bottom"><b>user_events</b></td></tr>
<tr class="separator:ab4ae98aabf1e9026b5cd4bbebc6ff845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b735743a5a229e74953afc4f8ebc487"><td class="memItemLeft" align="right" valign="top"><a id="a9b735743a5a229e74953afc4f8ebc487"></a>
queue_of_user_events&#160;</td><td class="memItemRight" valign="bottom"><b>user_events_temp</b></td></tr>
<tr class="separator:a9b735743a5a229e74953afc4f8ebc487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4723c558967aedcf5d47a744699f0c42"><td class="memItemLeft" align="right" valign="top"><a id="a4723c558967aedcf5d47a744699f0c42"></a>
<a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1mutex.html">dlib::mutex</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>reference_to_global_mutex</b></td></tr>
<tr class="separator:a4723c558967aedcf5d47a744699f0c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3f0178f31c126a990e38b8e776369d9f"><td class="memItemLeft" align="right" valign="top"><a id="a3f0178f31c126a990e38b8e776369d9f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>thread</b> ()</td></tr>
<tr class="separator:a3f0178f31c126a990e38b8e776369d9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d6af88ab0892077b3d5c31808b332b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1gui__core__kernel__2__globals_1_1event__handler__thread.html#a0d6af88ab0892077b3d5c31808b332b8">event_handler</a> ()</td></tr>
<tr class="separator:a0d6af88ab0892077b3d5c31808b332b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c2e6ce95e61d18f8c18538f852141ca"><td class="memItemLeft" align="right" valign="top"><a id="a8c2e6ce95e61d18f8c18538f852141ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init_keyboard_mod_masks</b> ()</td></tr>
<tr class="separator:a8c2e6ce95e61d18f8c18538f852141ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1threaded__object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1threaded__object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td></tr>
<tr class="memitem:adf50fff115d12c008884f58baac4e5ca inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1threaded__object.html#adf50fff115d12c008884f58baac4e5ca">threaded_object</a> ()</td></tr>
<tr class="separator:adf50fff115d12c008884f58baac4e5ca inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80a178cdc8f8fc51e8583c26f5d0714 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="ab80a178cdc8f8fc51e8583c26f5d0714"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_running</b> () const</td></tr>
<tr class="separator:ab80a178cdc8f8fc51e8583c26f5d0714 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6e0d0cfebb8a73d2dda75d7c0c2a16 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="abb6e0d0cfebb8a73d2dda75d7c0c2a16"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_alive</b> () const</td></tr>
<tr class="separator:abb6e0d0cfebb8a73d2dda75d7c0c2a16 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1dfba4cec8c05f5cc068cfc0ff073b inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="abc1dfba4cec8c05f5cc068cfc0ff073b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:abc1dfba4cec8c05f5cc068cfc0ff073b inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055c8a1d8daf7876a91e890e3f2fc03d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a055c8a1d8daf7876a91e890e3f2fc03d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>start</b> ()</td></tr>
<tr class="separator:a055c8a1d8daf7876a91e890e3f2fc03d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab7c9f3bba2fd9c91a069a127e3c02d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a3ab7c9f3bba2fd9c91a069a127e3c02d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>restart</b> ()</td></tr>
<tr class="separator:a3ab7c9f3bba2fd9c91a069a127e3c02d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504466de60a611ab0c4f15525e6b2872 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a504466de60a611ab0c4f15525e6b2872"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_respawn</b> ()</td></tr>
<tr class="separator:a504466de60a611ab0c4f15525e6b2872 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a423f38bc010e36b0f8a8220172166947 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a423f38bc010e36b0f8a8220172166947"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_respawn</b> () const</td></tr>
<tr class="separator:a423f38bc010e36b0f8a8220172166947 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a100d7aff9093b5ca3ad2847340fbc74c inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a100d7aff9093b5ca3ad2847340fbc74c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pause</b> ()</td></tr>
<tr class="separator:a100d7aff9093b5ca3ad2847340fbc74c inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769510e346ee93e5d3337c4591cd358d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a769510e346ee93e5d3337c4591cd358d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>stop</b> ()</td></tr>
<tr class="separator:a769510e346ee93e5d3337c4591cd358d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1threaded__object"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1threaded__object')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td></tr>
<tr class="memitem:a8c965067e39218bd9fcea5c699150e68 inherit pro_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a8c965067e39218bd9fcea5c699150e68"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_stop</b> () const</td></tr>
<tr class="separator:a8c965067e39218bd9fcea5c699150e68 inherit pro_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0d6af88ab0892077b3d5c31808b332b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d6af88ab0892077b3d5c31808b332b8">&#9670;&nbsp;</a></span>event_handler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void dlib::gui_core_kernel_2_globals::event_handler_thread::event_handler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - will handle all events and event dispatching            
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gui_core_kernel_2.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
